EDIT - task #8209

use ellypsed references for all reference comboboxes
03/28/2019 08:47 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.7

Severity: normal

Description

use the ReferenceEllypsisFormatter which has been implemented for #7951 in all reference comboboxes

Related issues:

Related to EDIT - feature request #8215: User demand: sorting order in refere...
Related to EDIT - bug #8252: reference ellypsis must not be applied to all re...
Copied to EDIT - bug #8375: ReferenceEllypsisFormatter produces too long stri...

Closed
Closed
New

Associated revisions

Revision 3f339951 - 04/25/2019 11:52 AM - Andreas Kohlbecker

fix #8209 using ReferenceEllypsisFormatter for all Reference comboboxes

Revision 2¢8759bb - 04/26/2019 02:36 PM - Andreas Kohlbecker

ref #8209 avoiding LIEs when using the ReferenceEllypsisFormatter

Revision 75e53727 - 04/26/2019 06:33 PM - Andreas Kohlbecker

ref #8209 avoiding LIEs when using the ReferenceEllypsisFormatter

Revision 1a2cb532 - 05/24/2019 11:22 AM - Andreas Kohlbecker

ref #8209 modularization of reference init strategies by using the EntitiyInitStrategy class

Revision 01ca9bae - 05/24/2019 11:36 AM - Andreas Kohlbecker

ref #8209 modularization of reference init strategies and improving EntitiyInitStrategy class

Revision 26e4e4de - 05/24/2019 11:49 AM - Andreas Kohlbecker

ref #8209 modularization of reference init strategies

Revision 86dde6da - 05/24/2019 01:59 PM - Andreas Kohlbecker

ref #8209 modularization of reference init strategies - bug fix

History

#1 - 03/28/2019 08:47 AM - Andreas Kohlbecker
- Priority changed from New to Priority14

#2 - 03/28/2019 08:47 AM - Andreas Kohlbecker
- Priority changed from Priority14 to Highest

#3 - 04/01/2019 12:31 PM - Andreas Kohlbecker

- Related to feature request #8215: User demand: sorting order in reference editor added

#4 - 04/11/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#5 - 04/25/2019 11:52 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/7951

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|3f3399518baa1655730b5753300d451b668bd330.

#6 - 04/25/2019 11:53 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please test all editors with reference comboboxes.

#7 - 05/03/2019 10:36 AM - Andreas Kohlbecker
- Related to bug #8252: reference ellypsis must not be applied to all reference types added

#8 - 07/16/2019 06:29 PM - Wolf-Henning Kusber
- File picture177-1.png added

Again there are extremely long entries. The breadth of the dropdown box differs extremly.
#9 - 07/17/2019 07:58 AM - Andreas Kohlbecker

| copied the latest problem to a new ticket: #8375

Did you check all editors with reference comboboxes? Is ellypsis working in principle in all these comboboxes?

#10 - 07/17/2019 07:58 AM - Andreas Kohlbecker

- Copied to bug #8375: ReferenceEllypsisFormatter produces too long strings in specific cases added

#11 - 07/17/2019 05:40 PM - Wolf-Henning Kusber
- File picture773-1.png added

Name Editor with "Nomenclatural reference" is working. No problem because the maximum breadth of the drop down is size-limited.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/3f3399518baa1655730b5753300d451b668bd330
https://dev.e-taxonomy.eu/redmine/issues/8375
#12 - 07/17/2019 06:06 PM - Wolf-Henning Kusber
- File picture115-1.png added

Minor problem,
Name editor if a new bibliographic reference is entered with a very long title.
#13 - 07/17/2019 06:07 PM - Wolf-Henning Kusber

last screen shot was misuse of an in-reference

#14 - 02/26/2023 05:33 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
